//libraries declaration
#include <LiquidCrystal.h>
#include <IRremote.h>
IRrecv rc(9);
decode_results results;

//setting up pins for the LCD
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);

//pin variable declaration
const int PIR = 6;
const int LED = 7;
const int IRsen = 9;


void setup() 
{
  Serial.begin(9600);
  //setting the input and output pin modes for the parts
  pinMode(PIR, INPUT);
  pinMode(LED, OUTPUT);
  pinMode(IRsen, INPUT);
  //beginning of LCD
  lcd.begin(16, 2);
  //enabling IR reciever
  rc.enableIRIn();
}

void loop() {
  //reading the PIR sensor
  int PIRState = digitalRead(PIR);
  //conditional statement for when the PIR sensor has detected motion
  if(PIRState == HIGH)
  {
    lcd.print("Thief Detected");
    digitalWrite(LED, HIGH);
    //this conditional and switch statement will recieve the inputs from the remote
    if(rc.decode(&results))
    {
      switch(results.value)
      {
        case 0xFD00FF:
         digitalWrite(LED, LOW);
      }
    }
  }
  //this is part of the conditional statement that will clear the LCD and turn off the LED
  else
  {
    lcd.clear();
    digitalWrite(LED, LOW);
  }
  lcd.setCursor(1, 0);
}
 